summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2016-11-15 23:28:54 +0000
committer David Spencer <baildon.research@googlemail.com>2016-11-15 23:28:54 +0000
commit65b8677eed27da63e108012346d15894e8712c71 (patch)
tree11ef0a17cc72c04d4e7fb6768fc7147816e87c4f
parent8977406979c53c22f7039d3f7432d8a26771e2af (diff)
downloadtemplates-65b8677eed27da63e108012346d15894e8712c71.tar.gz
templates-65b8677eed27da63e108012346d15894e8712c71.tar.xz
perl-template.SlackBuild: Fix Module::Build (& ::Tiny) builds.
Clarify that method #1 is preferred and method #2 requires modules which are non-core in perl-5.22.
-rw-r--r--perl-template.SlackBuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/perl-template.SlackBuild b/perl-template.SlackBuild
index fd7d6c8..2521e76 100644
--- a/perl-template.SlackBuild
+++ b/perl-template.SlackBuild
@@ -84,7 +84,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -102,7 +102,7 @@ find -L . \
# Your application may need different flags; these are provided as examples
# There seem to be two different methods for building perl apps:
-# Build method #1
+# Build method #1 (preferred)
perl Makefile.PL \
PREFIX=/usr \
INSTALLDIRS=vendor \
@@ -113,15 +113,15 @@ make test
make install DESTDIR=$PKG
# Build method #2
+# requires perl-Module-Build or perl-Module-Build-Tiny
perl Build.PL \
- prefix /usr \
- installdirs vendor
+ --installdirs vendor \
+ --config installvendorman1dir=/usr/man/man1 \
+ --config installvendorman3dir=/usr/man/man3
./Build
./Build test
./Build install \
- --destdir $PKG \
- --install_path bindoc=/usr/man/man1 \
- --install_path libdoc=/usr/man/man3
+ --destdir $PKG
# Strip binaries and libraries -
# If this is not needed,remove it from the script.